Subject: bug#1367: 23.0.60; Mailto service won't work

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 22:36:10 +0100

Harald Hanche-Olsen <[email-masked]> writes:

> In Mail.app on Mac OS X, open Preferences -> General, and select Emacs
> as the the default email reader.
> Quit Mail.app and never use it again. 8-)
>
> Now click on a mailto: link in your favourite web browser, or else run
> a command like this:  open mailto:[email-masked]
>
> Notice that Emacs comes to the foreground, but nothing more happens.
> What SHOULD happen is that Emacs opens a new draft email message
> addressed to the named recipient.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This behaviour is still present in Emacs 29.  I.e., it just foregrounds
the Emacs frame, and then nothing else.

Yamamoto said:

> What Carbon or Cocoa applications receive is an Apple event:
> 
>   http://developer.apple.com/documentation/Cocoa/Conceptual/ScriptableCocoaApplications/SApps_handle_AEs/chapter_11_section_4.html
> 
> Core functionalities such as "open documents" and "quit application"
> also send some corresponding Apple events, and Cocoa applications
> usually handle them via some application delegate methods.
> 
>   http://developer.apple.com/documentation/Cocoa/Conceptual/ScriptableCocoaApplications/SApps_handle_AEs/chapter_11_section_3.html

So I guess we're just not handling that event?  It'd be cool if we
could; adding Alan to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no